package com.ho.business.mapper;

import com.ho.business.entity.PointDisassembleConfig;
import com.ho.business.entity.PointPolysemyConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface PointDisassembleConfigMapper {

    /**
     * 根据条件查询曲线配置数据
     * @param ids
     * @return
     */
    List<PointDisassembleConfig> selectByPointIds(@Param("ids") List<Integer> ids);

    /**
     * 批量插入
     * @param config
     * @return
     */
    int insertList(List<PointDisassembleConfig> config);

    /**
     * 插入数据
     * @param config
     * @return
     */
    int insertOne(PointDisassembleConfig config);

    /**
     * 批量更新数据
     * @param config
     * @return
     */
    int updateById(PointDisassembleConfig config);

    /**
     * 根据id删除配置信息
     * @param ids
     * @return
     */
    int deleteByIds(@Param("ids") List<Integer> ids);

    /**
     * 根据pointId删除配置信息
     * @param ids
     * @return
     */
    int deleteByPointIds(@Param("ids") List<Integer> ids);

}
